/* Index Node management interface
 *
 * INode system
 *
 * Copyright Pu Bo 2001 */
#ifndef _INODEMGRIFC_H
#define _INODEMGRIFC_H

#include "INodeIfc.h"

/* definitions */
#define IID_INODE_MGR LONG_ID('I','N','M','G')
typedef bool (*INodeSysMgmtProgressCBFunc)(unsigned long maxVal, unsigned long curVal);

/* interface */
typedef struct {
	void (*INodeSysManagement)(INodeSysHndl iNodeSysH);
	unsigned long (*AvailableStorage)(INodeSysHndl iNodeSysH);
	void (*SetMgmtProgressCB)(INodeSysHndl iNodeSysH,INodeSysMgmtProgressCBFunc cb);
}INodeMgrInterface;
typedef INodeMgrInterface far * INodeMgrIfcPtr;

#endif