/**************************************************
** MemUtil library version 1.00
** Copyright Pu Bo 2001, pubo@bigfoot.com
*/
#ifndef _MEMUTIL_H
#define _MEMUTIL_H

#include "MemMgr.h"

#ifdef WIN32
#include "CasioTyp.h"
#else
#include "define.h"
#endif

/* defines */

/* Vector */
typedef MemHndl VectorHndl;

typedef struct {
    VectorHndl (*Create)();
    bool (*Add)(VectorHndl vecH,const MemPtr objP,MemSize size);
    bool (*AddAt)(VectorHndl vecH,unsigned short index,const MemPtr objP,MemSize size);
    bool (*Remove)(VectorHndl vecH,unsigned short index);
    MemPtr (*Get)(VectorHndl vecH,unsigned short index);
    void (*Clear)(VectorHndl vecH);
    void (*Destory)(VectorHndl vecH);
    unsigned short (*Size)(VectorHndl vecH);
    MemOffset (*GetMemOffset)(VectorHndl vecH,unsigned short index);
    MemSize (*GetSize)(VectorHndl vecH,unsigned short index);
}VectorClass;

extern const VectorClass far Vector;
#endif